﻿# Webサイトを構成し、開始するConfiguration
 
Configuration WebSiteConfig
{
    Import-DSCResource -ModuleName xWebAdministration
    Node target
    {
        WindowsFeature IIS
        {
            Ensure          = "Present"
            Name            = "Web-Server"
        }

        WindowsFeature IISTool
        {
            Ensure          = "Present"
            Name            = "Web-Mgmt-Tools"
        }
 
        WindowsFeature AspNet45
        {
            Ensure          = "Present"
            Name            = "Web-Asp-Net45"
        }
 
        xWebsite DefaultSite
        {
            Ensure          = "Present"
            Name            = "Default Web Site"
            State           = "Stopped"
            PhysicalPath    = "C:\inetpub\wwwroot"
            DependsOn       = "[WindowsFeature]IIS"
        }
 
        File WebContent
        {
            Ensure          = "Present"
            SourcePath      = "C:\target\contents"
            DestinationPath = "C:\Inetpub\MyWebSite"
            Recurse         = $true
            Type            = "Directory"
            DependsOn       = "[WindowsFeature]AspNet45"
        }      
 
        xWebsite MyWebSite
        {
            Ensure          = "Present"
            Name            = "MyWebSite"
            State           = "Started"
            PhysicalPath    = "C:\Inetpub\MyWebSite"
            DependsOn       = "[File]WebContent"
        }
    }
} 
